Subject: bug#61598: closed (Re: bug#61598: guile 3.0.9 missing module ice-9/readline.scm)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Feb 2023 10:25:02 +0000

Your bug report

#61598: guile 3.0.9 missing module  ice-9/readline.scm

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61598: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61598: guile 3.0.9 missing module ice-9/readline.scm
From: Jean Abou Samra <[email-masked]>
To: [email-masked]
Date: Sat, 18 Feb 2023 11:24:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Le 18 févr. 2023 à 09:25, [email-masked] a écrit :
> 
> The Guile 3.0 manual mentions "(use-modules (ice-9 readline))", but the module appears to be missing from the Guile 3.0.9 source code tarball. I noticed the issue was brought up for version 3.0.9 RC1, but the bug was closed. Has the module been intentionally removed for some reason? I found it useful as it is included with the Guile in the Debian repositories.
> 
> 
> 

Subject: guile 3.0.9 missing module ice-9/readline.scm
From: [email-masked]
To: [email-masked]
Date: Fri, 17 Feb 2023 22:08:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The Guile 3.0 manual mentions "(use-modules (ice-9 readline))", but the 
module appears to be missing from the Guile 3.0.9 source code tarball. I 
noticed the issue was brought up for version 3.0.9 RC1, but the bug was 
closed. Has the module been intentionally removed for some reason? I 
found it useful as it is included with the Guile in the Debian 
repositories.